你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Experiments - List All Executions

获取试验资源的执行列表。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Chaos/experiments/{experimentName}/executions?api-version=2025-01-01

URI 参数

名称 必需 类型 说明
experimentName
path True

string

minLength: 1
pattern: ^[^<>%&:?#/\\]+$

表示试验资源名称的字符串。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

响应

名称 类型 说明
200 OK

ExperimentExecutionListResult

请求已成功。

Other Status Codes

ErrorResponse

意外的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

List all executions of an Experiment.

示例请求

GET https://management.azure.com/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/experiments/exampleExperiment/executions?api-version=2025-01-01

示例响应

{
  "nextLink": "https://management.azure.com/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/experiments/exampleExperiment/executionDetails?continuationToken=&api-version=2025-01-01",
  "value": [
    {
      "name": "f24500ad-744e-4a26-864b-b76199eac333",
      "type": "Microsoft.Chaos/experiments/executions",
      "id": "/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/experiments/exampleExperiment/executions/f24500ad-744e-4a26-864b-b76199eac333",
      "properties": {
        "startedAt": "2020-12-14T21:52:52.2552574Z",
        "status": "failed",
        "stoppedAt": "2020-12-14T21:56:18.9281956Z"
      }
    },
    {
      "name": "14d98367-52ef-4596-be4f-53fc81bbfc33",
      "type": "Microsoft.Chaos/experiments/executions",
      "id": "/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/experiments/exampleExperiment/executions/14d98367-52ef-4596-be4f-53fc81bbfc33",
      "properties": {
        "startedAt": "2020-12-14T21:52:52.2552574Z",
        "status": "success",
        "stoppedAt": "2020-12-14T21:56:18.9281956Z"
      }
    }
  ]
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ExperimentExecution

表示试验执行的模型。

ExperimentExecutionListResult

表示试验执行列表和分页链接的模型。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ExperimentExecution

表示试验执行的模型。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.startedAt

string (date-time)

表示开始日期时间的字符串。

properties.status

string

执行的状态。

properties.stoppedAt

string (date-time)

表示停止日期时间的字符串。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

ExperimentExecutionListResult

表示试验执行列表和分页链接的模型。

名称 类型 说明
nextLink

string (uri)

指向下一页项的链接

value

ExperimentExecution[]

此页上的 ExperimentExecution 项

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。